Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.tools
Class AbstractCommandLineTool

    java.lang.Object
      kieker.tools.AbstractCommandLineTool

Direct Known Subclasses:
  FilesystemLogReplayerStarter, KaxRun, KaxViz, LoggingTimestampConverterTool, TraceAnalysisTool

    public abstract class AbstractCommandLineTool

extends Object

Since:
  1.10
Author:
  Nils Christian Ehmke

Field Summary
`static String` | `CMD_OPT_NAME_DEBUG_LONG`
`static String` | `CMD_OPT_NAME_DEBUG_SHORT`
`static String` | `CMD_OPT_NAME_HELP_LONG`
`static String` | `CMD_OPT_NAME_HELP_SHORT`
`static String` | `CMD_OPT_NAME_VERBOSE_LONG`
`static String` | `CMD_OPT_NAME_VERBOSE_SHORT`

Constructor Summary
`AbstractCommandLineTool(boolean useSystemExit)`

Method Summary
`void` | `start(String[] args)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CMD_OPT_NAME_HELP_LONG

    public static final String CMD_OPT_NAME_HELP_LONG

See Also:
  Constant Field Values

### CMD_OPT_NAME_HELP_SHORT

    public static final String CMD_OPT_NAME_HELP_SHORT

See Also:
  Constant Field Values

### CMD_OPT_NAME_VERBOSE_LONG

    public static final String CMD_OPT_NAME_VERBOSE_LONG

See Also:
  Constant Field Values

### CMD_OPT_NAME_VERBOSE_SHORT

    public static final String CMD_OPT_NAME_VERBOSE_SHORT

See Also:
  Constant Field Values

### CMD_OPT_NAME_DEBUG_LONG

    public static final String CMD_OPT_NAME_DEBUG_LONG

See Also:
  Constant Field Values

### CMD_OPT_NAME_DEBUG_SHORT

    public static final String CMD_OPT_NAME_DEBUG_SHORT

See Also:
  Constant Field Values

Constructor Detail

### AbstractCommandLineTool

    public AbstractCommandLineTool(boolean useSystemExit)

Method Detail

### start

    public final void start(String[] args)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net